> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/cidr-block/describebyoipprice.md).

# DescribeByoipPrice

## 1. API Description

This API (DescribeByoipPrice) is used to query the price of a BYOIP CIDR block based on parameters such as the advertised IP range, region, and network type.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                                  | Description                   |
| -------------- | -------- | ------------------------------------------------------------------------------------- | ----------------------------- |
| byoipList      | Yes      | Array of [ByoipPriceItem](/api-reference/compute/zec/datastructure.md#byoippriceitem) | List of BYOIPs to be queried. |

## 3. Output Parameters

| Parameter Name | Type                                                                        | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                      | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| byoipPrices    | Array of [PriceItem](/api-reference/compute/zec/datastructure.md#priceitem) | Price of the BYOIP CIDR block.                                                                                        |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the price of a BYOIP CIDR block.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeByoipPrice
<Common Request Params>

Request：
{
  "byoipList": [
    {
      "cidrBlock": "192.0.2.0/24",
      "networkType": "PremiumBGP",
      "regionId": "asia-east-1"
    }
  ]
}

Response：
{
  "requestId":"TD1FDBE21-EC2F-45A0-8975-F409B9A81CB6",
  "byoipPrices":[
    {
      "category":"STANDARD",
      "chargeUnit":"HOUR",
      "discount":100.0,
      "discountUnitPrice":0.030556,
      "unitPrice":0.305556
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                         | Description                                      |
| ---------------- | -------------------------------------------------- | ------------------------------------------------ |
| 400              | INVALID\_CIDR\_ADDRESS                             | Invalid IP address.                              |
| 400              | INVALID\_IP\_FORMAT                                | Invalid IP format.                               |
| 400              | INVALID\_PARAMETER\_CIDR\_ILLEGAL                  | Invalid CIDR block.                              |
| 404              | INVALID\_REGION\_NOT\_FOUND                        | Specified availability zone does not exist.      |
| 400              | OPERATION\_DENIED\_EIP\_UNSUPPORTED\_NETWORK\_TYPE | The EIP network billing method is not supported. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/cidr-block/describebyoipprice.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
